function [zpnts, xs, ys] = zmeshgrid(xspec,yspec)
% function [zpnts, xs, ys] = zmeshgrid(xspec,yspec)
%  create a 2D matrix of point coordinates on a rectangular lattice
%  inputs:
%    xspec,yspec: arguments to linspace to give spacing and number of points on x and y axes
%       each is a length 3 vector [start,end,npoints]. If last entry is a float, npoints = floor(spec(3))
%  outputs
%    zpnts: a 2D array of coordinates (x+iy)
%    xs,ys: 1D arrays with x and y coords. Inputs to meshgrid
%  REA 10/1/09
xs = linspace(xspec(1),xspec(2),xspec(3));
ys = linspace(yspec(1),yspec(2),yspec(3));
[xpnts,ypnts] = meshgrid(xs,ys);
zpnts = complex(xpnts,ypnts);
